/* Sample using iinterfacelib.h to control the intelligent interface under Linux */
/* 2004 by Erik Andresen - erik@defiant.homedns.org */

#include "iinterfacelib.h"
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

int main()
{	
	int i;
	
	IInterfaceDef *myInterface = NULL;
	// Initiate the device
	IIinit(&myInterface, "/dev/ttyS0");
	
	// Motor 1 & 2 left
	SetMotor(&myInterface, 1, 'l');
	SetMotor(&myInterface, 2, 'l');
	
	sleep(2);
	
	// Motor 1 & 2 stop
	SetMotor(&myInterface, 1, 's');
	SetMotor(&myInterface, 2, 's');
	
	// print all digitial inputs
	for (i=1; i<=8; i++)
		printf("Digital %d: %d\n", i, myInterface->Digital[i]);
	// and now print X and Y
	printf("Analog X: %d - Analog Y: %d\n", myInterface->AnaX, myInterface->AnaY);
	printf("State Motor 1: %c - Motor 2: %c\n", GetMotor(&myInterface, 1), GetMotor(&myInterface, 2));

	sleep(2);

	// Motor 1 & 2 right
	SetMotor(&myInterface, 1, 'r');
	SetMotor(&myInterface, 2, 'r');
	
	sleep(2);
	
	// ...any bye
	IIexit(&myInterface);
	return 0;
}
